### Function

# GtkSource MountOperationFactory

#### Declaration

    GMountOperation*
    (* GtkSourceMountOperationFactory) (
      GtkSourceFile* file,
      gpointer userdata
    )

#### Description [src]

Type definition for a function that will be called to create a `GMountOperation`. This is useful for creating a `GtkMountOperation`.

This function is not directly available to language bindings.

#### Parameters

`file`

  Type: `GtkSourceFile`

  A `GtkSourceFile`.

  The data is owned by the caller of the function.

`userdata`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GMountOperation`

No description available.

The data is owned by the called function.